pub mod stream;

#[derive(Debug)]
pub struct ServerConfig {
    certificate_path: String,
    certificate_key_path: String,
    server_address: String,
}

impl ServerConfig {
    pub fn new() -> Self {
        Self {
            certificate_path: "./server/certificates/cert.pem".to_string(),
            certificate_key_path: "./server/certificates/key.pem".to_string(),
            server_address: "127.0.0.1:4546".to_string(),
        }
    }
}
